> For the complete documentation index, see [llms.txt](https://developers.doku.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.doku.com/archive/non-snap/qris/notify-qris.md).

# Notify QRIS

To notify with QRIS, you need to hit this API through your Backend:

#### API Endpoint

<table><thead><tr><th width="374">Environment</th><th>Endpoint</th></tr></thead><tbody><tr><td>HTTP Method</td><td>POST</td></tr><tr><td>API Sandbox</td><td><a href="https://www.yourSandboxURL.com/yourPath/yourEndpoint">https://www.yourSandboxURL.com/yourPath/yourEndpoint</a></td></tr><tr><td>API Production</td><td><a href="https://www.yourProductionURL.com/yourPath/yourEndpoint

"><https://www.yourProductionURL.com/yourPath/yourEndpoint></a></td></tr></tbody></table>

Here is the sample request header, request body and response body for notify QRIS:

## POST /{merchantUrlDirectNotification}

> This API is used to notify partners when a transaction occurs in the DOKU V2 system. DOKU will notify partners with the URL that has been registered, and the notification will be done maximum 3 times or until the notification callback response is correct.

```json
{"openapi":"3.0.0","info":{"title":"Notification QRIS - biller-qris-api","version":"1.0.0"},"tags":[{"name":"notification-direct","description":"QRIS Notification Direct Format"}],"servers":[{"url":"https://{merchant-domain}","description":"Partner domain for receiving notification by QRIS DOKU"}],"paths":{"/{merchantUrlDirectNotification}":{"post":{"operationId":"directNotification","tags":["notification-direct"],"description":"This API is used to notify partners when a transaction occurs in the DOKU V2 system. DOKU will notify partners with the URL that has been registered, and the notification will be done maximum 3 times or until the notification callback response is correct.","parameters":[{"name":"WORDS","in":"query","description":"A unique identifier for the transaction","required":true,"schema":{"type":"string"}},{"name":"ACQUIRER","in":"query","description":"The acquirer code","required":true,"schema":{"type":"string"}},{"name":"CUSTOMERPAN","in":"query","description":"Customer's primary account number","required":true,"schema":{"type":"string"}},{"name":"INVOICE","in":"query","description":"Invoice number","required":true,"schema":{"type":"string"}},{"name":"TRANSACTIONID","in":"query","description":"Transaction ID","required":true,"schema":{"type":"string"}},{"name":"CONVENIENCEFEE","in":"query","description":"Convenience fee code","required":true,"schema":{"type":"string"}},{"name":"TERMINALID","in":"query","description":"Terminal ID","required":true,"schema":{"type":"string"}},{"name":"ORIGIN","in":"query","description":"Origin of the transaction","required":true,"schema":{"type":"string"}},{"name":"AMOUNT","in":"query","description":"Transaction amount","required":true,"schema":{"type":"string"}},{"name":"TXNDATE","in":"query","description":"Transaction date and time","required":true,"schema":{"type":"string"}},{"name":"MERCHANTPAN","in":"query","description":"Merchant's primary account number","required":true,"schema":{"type":"string"}},{"name":"REFERENCEID","in":"query","description":"Reference ID","required":true,"schema":{"type":"string"}},{"name":"CUSTOMERNAME","in":"query","description":"Customer's name","required":true,"schema":{"type":"string"}},{"name":"TXNSTATUS","in":"query","description":"Transaction status","required":true,"schema":{"type":"string"}},{"name":"ISSUERNAME","in":"query","description":"Issuer name","required":true,"schema":{"type":"string"}},{"name":"ISSUERID","in":"query","description":"Issuer ID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/directNotificationRequest"}}}},"responses":{"200":{"description":"Notification processed Successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/directNotificationResponse"}}}}}}}},"components":{"schemas":{"directNotificationRequest":{"type":"object","required":["transactionId","activityCode","message","processDate"],"properties":{"transactionId":{"type":"string","maxLength":16},"activityCode":{"type":"string","description":"Specific notification code"},"message":{"type":"string","description":"Notification message “Transaction is Success” or “Transaction is Failed”"},"processDate":{"description":"Update time in yyyy-MM-ddTHH:mm:ss format","type":"string"}}},"directNotificationResponse":{"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.doku.com/archive/non-snap/qris/notify-qris.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
